<?php
/**
 *
 * ePostaKontrol - Siteye üye olanlardan e-posta adresi kriterlerinize uymayanları listeler.
 * 
 * @version 1.0
 * @date 2010-08-17
 * @filename mod_eposta_kontrol.php
 * @author Olcay Akgün (info@zumrut.org)
 * @copyright (C) 2010 Her hakkı saklıdır
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 **/

defined('_JEXEC') or die('Bu dosya direkt erişim için uygun değildir.');

$kayit_adedi        = $params->get( 'liste_limit' , 10 );
$e_posta_listesi    = $params->get( 'posta_listesi' );
$uzantilar          = $params->get( 'uzanti_listesi' );

$sorgu_sqli = 'SELECT id,username,email,registerDate FROM #__users ORDER BY registerDate DESC';
$db =& JFactory::getDBO();
$db->setQuery( $sorgu_sqli , 0, $kayit_adedi );
$rows = $db->loadObjectList();
?>

    <table class="adminlist">
        <?php
        if (count($rows))
        {
        ?>
        <tr>
            <td class="title">
                <strong><?php echo JText::_( 'USERNAME' ); ?></strong>
            </td>
            <td class="title">
                <strong><?php echo JText::_( 'EMAILP' ); ?></strong>
            </td>
            <td class="title">
                <strong><?php echo JText::_( 'REGDATE' ); ?></strong>
            </td>
        </tr>
        <?php
            foreach ($rows as $row)
            {
                //if(!preg_match('/^[^0-9][a-zA-Z0-9_]+([.][a-zA-Z0-9_]+)*[@]'.$e_posta_listesi.'+\.(?:[A-Z]{2}'.$uzantilar.')$/', $row->email))
                if(!preg_match('#^[^0-9][a-zA-Z0-9\_]+\@(hotmail|yahoo|gmail|w|windowslive|mynet|ttnet| msn)\.(?:com|com.tr|cn|net.tr|org.tr|gov.tr|k12.tr |org|net|edu|gov|mil|biz|info|mobi|name)$#', $row->email))
                {
                    $problem_adres = $row->email;
                    
                    ?>
                    <tr>
                        <td>
                            <a href="index.php?option=com_users&view=user&task=edit&cid[]=<?php echo $row->id; ?>"><?php echo $row->username; ?></a>
                        </td>
                        <td>
                            <?php echo $problem_adres; ?>
                        </td>
                        <td>
                            <?php echo $row->registerDate; ?>
                        </td>
                    </tr>
                    <?php
                }

            }
        }
        else
        {
        ?>
        <tr>
            <td colspan="2">
                <?php echo JText::_( 'RESULTS' );?>
            </td>
        </tr>
        <?php
        }
        ?>
    </table>